#!/bin/sh
############################################################################
#                                                                          #
#  Copyright (c) 2001, 2007 NoMachine, http://www.nomachine.com.           #
#                                                                          #
#  NXSERVER, NX protocol compression and NX extensions to this software    #
#  are copyright of NoMachine. Redistribution and use of the present       #
#  software is allowed according to terms specified in the file LICENSE    #
#  which comes in the source distribution.                                 #
#                                                                          #
#  Check http://www.nomachine.com/licensing.html for applicability.        #
#                                                                          #
#  NX and NoMachine are trademarks of NoMachine S.r.l.                     #
#                                                                          #
#  All rigths reserved.                                                    #
#                                                                          #
############################################################################

COMMAND_ECHO="/bin/echo"

if test  $# -ne 3; then
  $COMMAND_ECHO "NX> 599 Error: Wrong parameters count." && exit 1
fi

if [ "x$1" != "xnx" -a "x$1" != "xroot" ];
  then
    $COMMAND_ECHO "NX> 599 Error: nxgroupadd.sh: only 'nx' user can add a group by this script" 1>&2
    exit 1
fi


COMMAND_GROUPADD="/usr/sbin/groupadd"

exec $COMMAND_GROUPADD $3
exit $?
